51dev.com IT技术开发者社区

51dev.com 技术开发者社区

idea创建项目和依赖

代码星球阅读(28)2020-08-02 收藏0次评论

创建项目和依赖

 

 

 

 

项目搭建完成后打开web.xml可看到如图使用的是servlet2.3但版本太老,servlet2.3 jsp  的el表达式不工作,所以我们需要切换新版本。

 

 

 

切换新版本方法:打开tomcat,我的电脑路径如下:D:apache-tomcat-7.0.54webappsexamplesWEB-INF,找到web.xml,复制并替换

<web-app xmlns="http://java.sun.com/xml/ns/javaee"

  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"

  xsi:schemaLocation="http://java.sun.com/xml/ns/javaee

                      http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd"

  version="3.0"

  metadata-complete="true">

</web-app>

在项目中如下:

 

 

问题:如何解决maven不自动下载依赖:

 

 

以上就是idea创建项目和依赖的全部内容。